Page MenuHomePhabricator

[Tracking] Migrate MobileContext::singleton() to a MobileFrontend.Context service
Open, NormalPublic

Description

Per 95629c2, MobileContext::singleton() was moved to a MobileFrontend MW service (MobileFrontend.Context).

@pmiazga wants us to break this class into small services. So, the step one will be to replace all MobileContext::singleton() in the code base to the MobileFrontend.Context service and then break down the class into small services.

Event Timeline

D3r1ck01 created this task.Mar 13 2019, 6:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 13 2019, 6:49 PM
D3r1ck01 renamed this task from Migrate MobileContext::singleton() to a MediaWiki service to [Tracking] Migrate MobileContext::singleton() to a MediaWiki service.Mar 13 2019, 6:49 PM

Change 496236 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/extensions/MobileFrontend@master] api: [MCS] Start using MediaWikiServices for MobileContext class

https://gerrit.wikimedia.org/r/496236

Change 496236 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/extensions/MobileFrontend@master] api: Start using MediaWikiServices for MobileContext class

https://gerrit.wikimedia.org/r/496236

Change 496236 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] api: Start using MediaWikiServices for MobileContext class

https://gerrit.wikimedia.org/r/496236

Change 499577 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/extensions/MobileFrontend@master] specials: Use MobileFrontend.Context service where need be

https://gerrit.wikimedia.org/r/499577

D3r1ck01 renamed this task from [Tracking] Migrate MobileContext::singleton() to a MediaWiki service to [Tracking] Migrate MobileContext::singleton() to a MobileFrontend.Context service.Mar 27 2019, 8:03 PM
D3r1ck01 triaged this task as Normal priority.
D3r1ck01 updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)Apr 2 2019, 10:12 PM

Change 499577 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] specials: Use MobileFrontend.Context service where need be

https://gerrit.wikimedia.org/r/499577

D3r1ck01 updated the task description. (Show Details)

Change 508141 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/extensions/MobileFrontend@master] Replace use of MobileContext::singleton() with MC service

https://gerrit.wikimedia.org/r/508141

Change 508141 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Replace use of MobileContext::singleton() with MC service

https://gerrit.wikimedia.org/r/508141

Change 509124 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/extensions/MobileFrontend@master] Follow-up on Iee53988dcd46f5b20fcd33ffbfe4177cf99c6893

https://gerrit.wikimedia.org/r/509124